<?php

/**
 * @file
 * Administration settings for the Apptegic Drupal module.
 */

/**
 * Menu callback; The administration settings for the Apptegic module.
 */
function apptegic_admin_settings() {
  $form['apptegic_account'] = array(
    '#type' => 'textfield',
    '#title' => t('Account'),
    '#description' => t('If you log into Apptegic via http://example.apptegic.com , then provide <em>example</em>.'),
    '#default_value' => variable_get('apptegic_account', ''),
  );
  $form['apptegic_dataset'] = array(
    '#type' => 'textfield',
    '#title' => t('Dataset'),
    '#description' => t('The dataset to use with this site.'),
    '#default_value' => variable_get('apptegic_dataset', ''),
  );
  $form['fields'] = array(
    '#type' => 'fieldset',
    '#title' => t('Fields'),
    '#description' => t('Choose which fields can be sent off to Apptegic.'),
  );
  $form['fields']['apptegic_parameters'] = array(
    '#type' => 'textarea',
    '#title' => t('Parameters'),
    '#description' => t('Available fields which can be passed to Apptegic that are exposed to !rules. Set them up as Name|Type.', array(
      '!rules' => l(t('Rules'), 'admin/config/workflow/rules/reaction'),
    )),
    '#default_value' => apptegic_parameters(FALSE),
    '#rows' => count(apptegic_parameters()),
  );
  return system_settings_form($form);
}
