<?php

/**
 * @file
 * Rules integration for the Apptegic Drupal module.
 */

/**
 * Implements hook_rules_action_info().
 */
function apptegic_rules_action_info() {
  // Action to add a contact to Apptegic.
  $actions['apptegic_rules_track'] = array(
    'label' => t('Track with Apptegic'),
    'module' = 'Apptegic',
  );
  // Provide the parameters to Apptegic.
  foreach (apptegic_parameters() as $name => $type) {
    $actions['apptegic_rules_track']['arguments'][$name] = array(
      'type' => 'string',
      'label' => $name,
    );
  }
  return $actions;
}

/**
 * Rules callback; Injects the given parameters into Apptegic.
 */
function apptegic_rules_track() {
  // Match the parameters to what was passed in through the Rules.
  $parameters = apptegic_parameters();
  $args = func_get_args();
  $i = 0;
  foreach ($parameters as $name => $type) {
    if (isset($args[$i])) {
      $parameters[$name] = trim($args[$i]);
    }
    else {
      unset($parameters[$name]);
    }
    $i++;
  }

  // Filter out any empty arguments and .
  $parameters = array_filter($parameters);
  apptegic_set_parameters($parameters);
}

/**
 * Rules callback; Determines whether or not the user has access to use the rule.
 */
function apptegic_rules_access() {
  return user_access('administer apptegic');
}
